﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : MultiBar 속성을 사용해 SideAll 스택 타입 바 만들기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar1 = new Bar();

            bar1.MultiBar                   = MultiBars.SideAll;
            bar1.Brush.Color                = Color.Red;
            bar1.Brush.Solid                = true;
            bar1.Brush.Gradient.EndColor    = Color.FromArgb(254, 138, 138, 0  );
            bar1.Brush.Gradient.StartColor  = Color.FromArgb(254, 255, 255, 192);
            bar1.Brush.Gradient.Visible     = true;
            bar1.Brush.Visible              = true;

            bar1.FillSampleValues(6);

            this.tChart.Series.Add(bar1);

            Bar bar2 = new Bar();

            bar2.MultiBar                   = MultiBars.SideAll;
            bar2.Brush.Color                = Color.Red;
            bar2.Brush.Solid                = true;
            bar2.Brush.Gradient.EndColor    = Color.FromArgb(254, 1,39, 73);
            bar2.Brush.Gradient.StartColor  = Color.FromArgb(254, 3, 72, 135);
            bar2.Brush.Gradient.Visible     = true;
            bar2.Brush.Visible              = true;

            bar2.FillSampleValues(6);

            this.tChart.Series.Add(bar2);
        }

        #endregion
    }
}